Loading...
Searching...
No Matches
Dune::Amg::ConstructionTraits< NonoverlappingSchwarzOperator< M, X, Y, C > > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/construction.hh>`

Inheritance diagram for Dune::Amg::ConstructionTraits< NonoverlappingSchwarzOperator< M, X, Y, C > >:

## Public Types

typedef ParallelOperatorArgs< M, C > | Arguments

## Static Public Member Functions

static std::shared_ptr< NonoverlappingSchwarzOperator< M, X, Y, C > > | construct (const Arguments &args)

## Member Typedef Documentation

## Arguments

template<class M, class X, class Y, class C>

typedef ParallelOperatorArgs<M,C> Dune::Amg::ConstructionTraits< NonoverlappingSchwarzOperator< M, X, Y, C > >::Arguments

## Member Function Documentation

## construct()

template<class M, class X, class Y, class C>

std::shared_ptr< NonoverlappingSchwarzOperator< M, X, Y, C > > Dune::Amg::ConstructionTraits< NonoverlappingSchwarzOperator< M, X, Y, C > >::construct | ( | const Arguments & | args | ) |

inline static

The documentation for this struct was generated from the following file:

- construction.hh